# Command: LayoutNetwork

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    LayoutNetwork - Create a multidimensional network.

Synopsis:

      model [d1 d2 ...] << >> LayoutNetwork
      model [d1 d2 ...]	 LayoutNetwork
      /constructor [d1 d2 ...] LayoutNetwork

Examples:

      iaf_psc_alpha [10 10] LayoutNetwork
      Creates a two dimensional layer of 10 by 10 neurons of type iaf_psc_alpha.

Description:

      LayoutNetwork generates an n-dimensial network with nodes of type model.
      If a status dictionary is supplied, each created node is initialized with
      the supplied status dictionary.

Parameters:

      model		- model id of the nodes to be created
      [d1 d2 ..]	- array with dimensions
      << >>		- optional status dictionary with initialization for
      the nodes

Author:

    Marc-Oliver Gewaltig

FirstVersion:

    20.6.02

SeeAlso:

- Create
- LayoutArray

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/nest-init.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative